VERSION 5.00
Begin VB.Form frmCustomSize 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Set custom size..."
   ClientHeight    =   1455
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3255
   BeginProperty Font 
      Name            =   "Verdana"
      Size            =   8.25
      Charset         =   204
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmCustomSize.frx":0000
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1455
   ScaleWidth      =   3255
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   1680
      TabIndex        =   5
      Top             =   960
      Width           =   1455
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   960
      Width           =   1455
   End
   Begin VB.TextBox txtHeight 
      Alignment       =   2  'Center
      Height          =   285
      Left            =   1560
      MaxLength       =   6
      TabIndex        =   3
      Top             =   480
      Width           =   855
   End
   Begin VB.TextBox txtWidth 
      Alignment       =   2  'Center
      Height          =   285
      Left            =   1560
      MaxLength       =   6
      TabIndex        =   1
      Top             =   120
      Width           =   855
   End
   Begin VB.Label lblHeight 
      BackStyle       =   0  'Transparent
      Caption         =   "&Height, pixels: "
      ForeColor       =   &H80000008&
      Height          =   240
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   1335
   End
   Begin VB.Label lblWidth 
      BackStyle       =   0  'Transparent
      Caption         =   "&Width, pixels: "
      ForeColor       =   &H80000008&
      Height          =   240
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1335
   End
End
Attribute VB_Name = "frmCustomSize"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public FrameWidth As Long
Public FrameHeight As Long

Public Sub InitForm()
If FrameWidth > 0& Then txtWidth.Text = Trim$(Str$(FrameWidth))
If FrameHeight > 0& Then txtHeight.Text = Trim$(Str$(FrameHeight))
End Sub

Private Sub cmdCancel_Click()
Me.Tag = "CANCEL"
Me.Hide
End Sub

Private Sub cmdOK_Click()
If Len(txtWidth.Text) = 0 Then
  MsgBox "Enter frame width.", vbExclamation, Me.Caption
  Exit Sub
End If
If Len(txtHeight.Text) = 0 Then
  MsgBox "Enter frame height.", vbExclamation, Me.Caption
  Exit Sub
End If
FrameWidth = 0&
FrameHeight = 0&
On Error Resume Next
FrameWidth = Val(txtWidth.Text)
If Err.Number <> 0 Then
  FrameWidth = -1
  Err.Clear
End If
FrameHeight = Val(txtHeight.Text)
If Err.Number <> 0 Then
  FrameHeight = -1
  Err.Clear
End If
On Error GoTo 0
If FrameWidth < 1 Or FrameWidth > 2000 Then
  MsgBox "Invalid frame width.", vbExclamation, Me.Caption
  Exit Sub
End If
If FrameHeight < 1 Or FrameHeight > 2000 Then
  MsgBox "Invalid frame height.", vbExclamation, Me.Caption
  Exit Sub
End If
Me.Tag = "OK"
Me.Hide
End Sub

Private Sub Form_Load()
Me.Tag = vbNullString
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
If UnloadMode = QueryUnloadConstants.vbFormControlMenu Then
  Cancel = True
  Me.Tag = "CLOSE"
  Me.Hide
  Exit Sub
End If
End Sub

Private Sub txtHeight_GotFocus()
With txtHeight
  .SelStart = 0
  .SelLength = Len(.Text)
End With
End Sub

Private Sub txtHeight_KeyPress(KeyAscii As Integer)
Select Case KeyAscii
  Case Is < 32
    Exit Sub
  Case vbKey0 To vbKey9
  Case Else
    KeyAscii = 0
End Select
End Sub

Private Sub txtWidth_GotFocus()
With txtWidth
  .SelStart = 0
  .SelLength = Len(.Text)
End With
End Sub

Private Sub txtWidth_KeyPress(KeyAscii As Integer)
Select Case KeyAscii
  Case Is < 32
    Exit Sub
  Case vbKey0 To vbKey9
  Case Else
    KeyAscii = 0
End Select
End Sub
